Upstream information

CVE-2018-17983 at MITRE

Description

cext/manifest.c in Mercurial before 4.7.2 has an out-of-bounds read during parsing of a malformed manifest entry.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 6.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None Low
Availability Impact High None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1110899 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • mercurial >= 5.9.1-150400.1.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA mercurial-5.9.1-150400.1.8
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • mercurial >= 4.5.2-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2018-2456
openSUSE Leap 15.0
  • mercurial >= 4.5.2-lp150.2.6.1
  • mercurial-lang >= 4.5.2-lp150.2.6.1
Patchnames:
openSUSE-2019-864
openSUSE Tumbleweed
  • mercurial >= 5.9.1-2.1
  • mercurial-lang >= 5.9.1-2.1
  • mercurial-tests >= 5.9.1-2.1
Patchnames:
openSUSE Tumbleweed GA mercurial-5.9.1-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 mercurial Released
SUSE Enterprise Storage 6 mercurial Released
SUSE Linux Enterprise Desktop 11 SP4 mercurial Not affected
SUSE Linux Enterprise Desktop 12 SP3 mercurial Not affected
SUSE Linux Enterprise Desktop 15 mercurial Released
SUSE Linux Enterprise Desktop 15 SP1 mercurial Released
SUSE Linux Enterprise Desktop 15 SP2 mercurial Released
SUSE Linux Enterprise High Performance Computing 15 mercurial Released
SUSE Linux Enterprise High Performance Computing 15 LTSS mercurial Released
SUSE Linux Enterprise High Performance Computing 15 SP1 mercurial Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS mercurial Released
SUSE Linux Enterprise High Performance Computing 15 SP2 mercurial Released
SUSE Linux Enterprise Module for Development Tools 15 mercurial Released
SUSE Linux Enterprise Module for Python 2 15 SP1 mercurial Released
SUSE Linux Enterprise Module for Python 2 15 SP2 mercurial Released
SUSE Linux Enterprise Server 11 SP4 mercurial Not affected
SUSE Linux Enterprise Server 12 SP3 mercurial Not affected
SUSE Linux Enterprise Server 15 mercurial Released
SUSE Linux Enterprise Server 15 ESPOS mercurial Released
SUSE Linux Enterprise Server 15 LTSS mercurial Released
SUSE Linux Enterprise Server 15 SP1 mercurial Released
SUSE Linux Enterprise Server 15 SP1 LTSS mercurial Released
SUSE Linux Enterprise Server 15 SP2 mercurial Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 mercurial Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 mercurial Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mercurial Not affected
SUSE Linux Enterprise Server for SAP Applications 15 mercurial Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 mercurial Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 mercurial Released
SUSE Linux Enterprise Software Development Kit 11 SP4 mercurial Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 mercurial Not affected
SUSE Linux Enterprise Storage 6 mercurial Released
SUSE Linux Enterprise Storage 7 mercurial Released
SUSE Manager Proxy 4.0 mercurial Released
SUSE Manager Proxy 4.1 mercurial Released
SUSE Manager Retail Branch Server 4.0 mercurial Released
SUSE Manager Retail Branch Server 4.1 mercurial Released
SUSE Manager Server 4.0 mercurial Released
SUSE Manager Server 4.1 mercurial Released